Jump to content

Module:If preview/styles.css: Difference between revisions

From WikipediNyah
Created page with "{{pp|small=yes}}: .preview-warning { font-style: italic; @noflip: padding-left: 1.6em; margin-bottom: 0.5em; color: red; } The templatestyles element inserts a link element before hatnotes. * TODO: Remove link if/when WMF resolves T200206: .preview-warning + link + .preview-warning { margin-top: -0.5em; }"
 
No edit summary
 
Line 5: Line 5:
padding-left: 1.6em;
padding-left: 1.6em;
margin-bottom: 0.5em;
margin-bottom: 0.5em;
color: red;
color: var(--color-error, red);
}
}


/* The templatestyles element inserts a link element before hatnotes.
/* The templatestyles causes an 'empty' span between hatnotes */
* TODO: Remove link if/when WMF resolves T200206 */
.preview-warning + span.mw-empty-elt + .preview-warning,
/* remove this selector when Parsoid is the only parser, see also [[phab:T200206]] */
.preview-warning + link + .preview-warning {
.preview-warning + link + .preview-warning {
margin-top: -0.5em;
margin-top: -0.5em;
}
}

Latest revision as of 02:31, 2 July 2026

/* {{pp|small=yes}} */
.preview-warning {
	font-style: italic;
	/* @noflip */
	padding-left: 1.6em;
	margin-bottom: 0.5em;
	color: var(--color-error, red);
}

/* The templatestyles causes an 'empty' span between hatnotes */
.preview-warning + span.mw-empty-elt + .preview-warning,
/* remove this selector when Parsoid is the only parser, see also [[phab:T200206]] */
.preview-warning + link + .preview-warning {
	margin-top: -0.5em;
}